Subject: bug#12925: 24.1; string-make-unibyte instead of string-as-unibyte

From: Stefan Monnier <[email-masked]>
Date: Sun, 18 Nov 2012 21:27:17 -0500

> Why does inserting multibyte text into a unibyte buffer corrupt it
> like this?

Because the right thing (i.e. signaling an error) was not backward
compatible with broken code that assumed that chars can be presented
with 8bit (i.e. code written in the glory days of latin-N, koi-8, ...).

We could/should probably try to do the right thing now, since such
broken code is probably much less common.

        Stefan